Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.job
Interface CheckPrivilegesResult

All Superinterfaces:
  JobResult

    public interface CheckPrivilegesResult

extends JobResult

Interface for reporting the results of a privileges check from a `Job` implementation.

Note: It is not necessary to set a message or code for a "privileges" result. The UI that reports the error or warning will construct an appropriate message based on the information contained in the result instance. However, if the job author desires to report additional information to the user then the message and/or code may be set.

See Also:
  `Job.checkConfig(com.novell.nds.dirxml.job.JobManager,java.util.Locale)`, `CheckPrivileges`

Field Summary

Fields inherited from interface com.novell.nds.dirxml.job.JobResult
`ABORTED, ERROR, SUCCESS, WARNING`

Method Summary
`String` | `getAttributeName()` Get the attribute name to which the trustee object needs rights.
`int` | `getNeededPrivileges()` Get the bit-mapped value that indicates the right(s) that the trustee object needs on the target object.
`DirectoryObject` | `getTargetObject()` Return the object to which the trustee object needs rights.
`DirectoryObject` | `getTrusteeObject()` Return the object that needs rights to the target object.
`void` | `setAttributeName(String attrName)` Set the attribute name to which the trustee object needs rights.
`void` | `setNeededPrivileges(int privileges)` Set the bit-mapped value that indicates the right(s) that the trustee object needs on the target object.
`void` | `setTargetObject(DirectoryObject target)` Set the object to which the trustee object needs rights.
`void` | `setTrusteeObject(DirectoryObject trustee)` Set the object that needs rights to the target object.

Methods inherited from interface com.novell.nds.dirxml.job.JobResult
`getCode, getLevel, getMessage, getObject, setCode, setLevel, setMessage, setObject`

Method Detail

### getTrusteeObject

    DirectoryObject getTrusteeObject()

  Return the object that needs rights to the target object.

  Returns:
    trustee object

### setTrusteeObject

    void setTrusteeObject(DirectoryObject trustee)

  Set the object that needs rights to the target object.

  Parameters:
    `trustee` - trustee object

### getTargetObject

    DirectoryObject getTargetObject()

  Return the object to which the trustee object needs rights. This is a synonym for `JobResult.getObject()`.

  Returns:
    trustee object

### setTargetObject

    void setTargetObject(DirectoryObject target)

  Set the object to which the trustee object needs rights. This is a synonym for `JobResult.setObject`.

  Parameters:
    `target` - target object

### getAttributeName

    String getAttributeName()

  Get the attribute name to which the trustee object needs rights. This may be one of the special attribute names `"[Entry Rights]"` or `"[All Attribute Rights]"`.

  Returns:
    attribute name

### setAttributeName

    void setAttributeName(String attrName)

  Set the attribute name to which the trustee object needs rights. This may be one of the special attribute names `"[Entry Rights]"` or `"[All Attribute Rights]"`.

  Parameters:
    `attrName` - attribute name

### getNeededPrivileges

    int getNeededPrivileges()

  Get the bit-mapped value that indicates the right(s) that the trustee object needs on the target object.

  Returns:
    privileges value (some combination of `CheckPrivileges.ATTR_READ`, `CheckPrivileges.ENTRY_BROWSE`, etc.
  See Also:
    `CheckPrivileges`

### setNeededPrivileges

    void setNeededPrivileges(int privileges)

  Set the bit-mapped value that indicates the right(s) that the trustee object needs on the target object.

  Parameters:
    `privileges` - any combination of `CheckPrivileges.ATTR_READ`, `CheckPrivileges.ENTRY_BROWSE`, etc.)
  See Also:
    `CheckPrivileges`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD